libosmousb 1.13.1.1-afb4 Osmocom USB library

Data Fields
osmo_usb_matchspec Struct Reference

Description of the USB device+interface we're looking for. More...

`#include <libusb.h>`

## Data Fields
struct {
int vendor_id
| typically -1 for compile time defaults More...
int product_id
| typically -1 for compile time defaults More...
char * path
| used for disambiguation when multiple matches; can be NULL More...
} | dev
| specify the USB device More...
int | config_id
| specify the USB configuration More...
struct {
int class
| -1 or a user-specified class More...
int subclass
| -1 or a user-specified subclass More...
int proto
| -1 or a user-specified protocol More...
int num
int altsetting
} | intf
| specify the USB interface More...

## Detailed Description

Description of the USB device+interface we're looking for.

## Field Documentation

## ◆ altsetting

int osmo_usb_matchspec::altsetting

Referenced by osmo_libusb_match_init().

## ◆ class

int osmo_usb_matchspec::class

-1 or a user-specified class

Referenced by osmo_libusb_find_open_claim(), and osmo_libusb_match_init().

## ◆ config_id

int osmo_usb_matchspec::config_id

specify the USB configuration

typically -1 unless user selects specific configuration

Referenced by osmo_libusb_match_init().

## ◆

struct { ... } osmo_usb_matchspec::dev

specify the USB device

Referenced by osmo_libusb_find_open_claim(), and osmo_libusb_match_init().

## ◆

struct { ... } osmo_usb_matchspec::intf

specify the USB interface

Referenced by osmo_libusb_find_open_claim(), and osmo_libusb_match_init().

## ◆ num

int osmo_usb_matchspec::num

Referenced by osmo_libusb_find_open_claim(), and osmo_libusb_match_init().

## ◆ path

char* osmo_usb_matchspec::path

used for disambiguation when multiple matches; can be NULL

Referenced by osmo_libusb_find_open_claim(), and osmo_libusb_match_init().

## ◆ product_id

int osmo_usb_matchspec::product_id

typically -1 for compile time defaults

Referenced by osmo_libusb_find_open_claim(), and osmo_libusb_match_init().

## ◆ proto

int osmo_usb_matchspec::proto

-1 or a user-specified protocol

Referenced by osmo_libusb_find_open_claim(), and osmo_libusb_match_init().

## ◆ subclass

int osmo_usb_matchspec::subclass

-1 or a user-specified subclass

Referenced by osmo_libusb_find_open_claim(), and osmo_libusb_match_init().

## ◆ vendor_id

int osmo_usb_matchspec::vendor_id

typically -1 for compile time defaults

Referenced by osmo_libusb_find_open_claim(), and osmo_libusb_match_init().

The documentation for this struct was generated from the following file:

- include/osmocom/usb/libusb.h